<?php
add_action( 'after_setup_theme', 'zeeb_setup' );
function zeeb_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
function zeeb_setup()
{
load_theme_textdomain( 'zeeb', get_template_directory() . '/languages' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
$args = array(
	'width'         => 950,
	'height'        => 170,
	'default-image' => get_template_directory_uri() . '/images/zeeb.gif',
	'uploads'       => true,
);
add_theme_support( 'custom-header', $args );

$defaults = array(
	'default-color'          => '',
	'default-image'          => '',
	'default-repeat'         => '',
	'default-position-x'     => '',
	'wp-head-callback'       => '_custom_background_cb',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''
);
add_theme_support( 'custom-background', $defaults );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array( 'main' => __( 'Main Menu', 'zeeb' ) )
);
}
add_action( 'wp_enqueue_scripts', 'zeeb_load_scripts' );
function zeeb_load_scripts()
{
wp_enqueue_script( 'jquery' );
wp_enqueue_style( 'zeeb', get_stylesheet_uri() );
}



add_action( 'comment_form_before', 'zeeb_enqueue_comment_reply_script' );
function zeeb_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'zeeb_title' );
function zeeb_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'zeeb_filter_wp_title' );
function zeeb_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'zeeb_widgets_init' );
function zeeb_widgets_init()
{
{
register_sidebar( array (
'name' => __( 'sidebar', 'zeeb' ),
'id' => 'primary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => "</li>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );

register_sidebar( array (
'name' => __('Right Widget Area', 'zeeb'),
'id' => 'secondary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => "</li>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );

register_sidebar( array (
'name' => __('Top Sidebar Area', 'zeeb'),
'id' => 'third-widget-area',
'before_widget' => '',
'after_widget' => "",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );

}
}


function zeeb_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'zeeb_comments_number' );
function zeeb_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}